Overview | Modules | Class Hierarchy | Classes | Members

Public Slots | Signals | Public Member Functions
tlp::CoordWidget Class Reference

Simple Coord edition widget. More...

`#include <CoordWidget.h>`

List of all members.

## Public Slots

- void setCoord (const tlp::Coord &coord)
    Set the Coord displayed by this widget. Emit the coordChanged signals.

## Signals

- void coordChanged (tlp::Coord coord)

## Public Member Functions

- CoordWidget (QWidget *parent=NULL)
- ~CoordWidget ()
- tlp::Coord coord () const

## Detailed Description

Simple Coord edition widget.

## Constructor & Destructor Documentation

tlp::CoordWidget::CoordWidget | ( | QWidget * | parent = `NULL` | ) |

tlp::CoordWidget::~CoordWidget | ( |  | ) |

## Member Function Documentation

tlp::Coord tlp::CoordWidget::coord | ( |  | ) | const

void tlp::CoordWidget::coordChanged | ( | tlp::Coord | coord | ) | `[signal]`

void tlp::CoordWidget::setCoord | ( | const tlp::Coord & | coord | ) | `[slot]`

Set the Coord displayed by this widget. Emit the coordChanged signals.

Tulip Software by LaBRI Visualization Team 2001 - 2012